Package org.eclipse.birt.core.script

# Class ScriptableParameter.JsValueCallable

java.lang.Object
org.eclipse.birt.core.script.ScriptableParameter.JsValueCallable

All Implemented Interfaces:
  `org.mozilla.javascript.Callable`

Enclosing class:
  `ScriptableParameter`

public static class ScriptableParameter.JsValueCallable extends Object implements org.mozilla.javascript.Callable

## Constructor Summary

Constructors
Constructor
Description
`JsValueCallable(org.mozilla.javascript.Callable callable, org.mozilla.javascript.Scriptable value)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Scriptable thisObj, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsValueCallable

public JsValueCallable(org.mozilla.javascript.Callable callable, org.mozilla.javascript.Scriptable value)

## Method Details

### call

public Object call(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Scriptable thisObj, Object[] args)

Specified by:
  `call` in interface `org.mozilla.javascript.Callable`